Package com.usatiuk.objects

# Class JObjectKeyImpl

java.lang.Object
com.usatiuk.objects.JObjectKeyImpl

All Implemented Interfaces:
  `JObjectKey`, `Serializable`, `Comparable<JObjectKey>`

public final class JObjectKeyImpl extends Object implements JObjectKey

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from interface com.usatiuk.objects.JObjectKey

`MAX, MIN`

## Constructor Summary

Constructors
Constructor
Description
`JObjectKeyImpl(byte[] bytes)`
`JObjectKeyImpl(String value)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(JObjectKey o)`
`boolean`
`equals(Object obj)`
`int`
`hashCode()`
`ByteBuffer`
`toByteBuffer()`
`String`
`toString()`
`String`
`value()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JObjectKeyImpl

public JObjectKeyImpl(String value)

### JObjectKeyImpl

public JObjectKeyImpl(byte[] bytes)

## Method Details

### compareTo

public int compareTo(JObjectKey o)

Specified by:
  `compareTo` in interface `Comparable<JObjectKey>`
Specified by:
  `compareTo` in interface `JObjectKey`

### toString

public String toString()

Specified by:
  `toString` in interface `JObjectKey`
Overrides:
  `toString` in class `Object`

### toByteBuffer

public ByteBuffer toByteBuffer()

Specified by:
  `toByteBuffer` in interface `JObjectKey`

### value

public String value()

Specified by:
  `value` in interface `JObjectKey`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`